## vdr 1.7.18

=== Makefile ===
#
# Makefile for the Video Disk Recorder
#
# See the main source file 'vdr.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile 2.17 2011/04/17 13:35:53 kls Exp $

.DELETE_ON_ERROR:

CC       ?= gcc
CFLAGS   ?= -g -O3 -Wall

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

LSIDIR   = ./libsi
DESTDIR ?=
PREFIX  ?= /usr/local
MANDIR   = $(PREFIX)/share/man
BINDIR   = $(PREFIX)/bin
INCDIR   = $(PREFIX)/include
LOCDIR   = ./locale
LIBS     = -ljpeg -lpthread -ldl -lcap -lrt $(shell pkg-config --libs freetype2 fontconfig)
INCLUDES ?= $(shell pkg-config --cflags freetype2 fontconfig)

PLUGINDIR= ./PLUGINS
PLUGINLIBDIR= $(PLUGINDIR)/lib

VIDEODIR = /video
CONFDIR  = $(VIDEODIR)

DOXYGEN  = /usr/bin/doxygen
DOXYFILE = Doxyfile

include Make.global
-include Make.config

SILIB    = $(LSIDIR)/libsi.a

OBJS = audio.o channels.o ci.o config.o cutter.o device.o diseqc.o dvbdevice.o dvbci.o\
       dvbplayer.o dvbspu.o dvbsubtitle.o eit.o eitscan.o epg.o filter.o font.o i18n.o interface.o keys.o\
       lirc.o menu.o menuitems.o nit.o osdbase.o osd.o pat.o player.o plugin.o rcu.o\
       receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o shutdown.o\
       skinclassic.o skins.o skinsttng.o sourceparams.o sources.o spu.o status.o svdrp.o themes.o thread.o\
       timers.o tools.o transfer.o vdr.o videodir.o

ifndef NO_KBD
DEFINES += -DREMOTE_KBD
endif
ifdef REMOTE
DEFINES += -DREMOTE_$(REMOTE)
endif
ifdef VDR_USER
DEFINES += -DVDR_USER=\"$(VDR_USER)\"
endif
ifdef BIDI
INCLUDES += $(shell pkg-config --cflags fribidi)
DEFINES += -DBIDI
LIBS += $(shell pkg-config --libs fribidi)
endif

LIRC_DEVICE ?= /dev/lircd
RCU_DEVICE  ?= /dev/ttyS1

DEFINES += -DLIRC_DEVICE=\"$(LIRC_DEVICE)\" -DRCU_DEVICE=\"$(RCU_DEVICE)\"

DEFINES += -D_GNU_SOURCE

DEFINES += -DVIDEODIR=\"$(VIDEODIR)\"
DEFINES += -DCONFDIR=\"$(CONFDIR)\"
DEFINES += -DPLUGINDIR=\"$(PLUGINLIBDIR)\"
DEFINES += -DLOCDIR=\"$(LOCDIR)\"

# The version numbers of VDR and the plugin API (taken from VDR's "config.h"):

VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)

all: vdr i18n

# Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

# The main program:

vdr: $(OBJS) $(SILIB)
	$(CXX) $(CXXFLAGS) -rdynamic $(LDFLAGS) $(OBJS) $(LIBS) $(LIBDIRS) $(SILIB) -o vdr

# The libsi library:

$(SILIB):
	$(MAKE) -C $(LSIDIR) all

# Internationalization (I18N):

PODIR     = po
LOCALEDIR = locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/vdr.pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs)

install-i18n:
	@mkdir -p $(DESTDIR)$(LOCDIR)
	@(cd $(LOCALEDIR); cp -r --parents * $(DESTDIR)$(LOCDIR))

# The 'include' directory (for plugins):

include-dir:
	@mkdir -p include/vdr
	@(cd include/vdr; for i in ../../*.h; do ln -fs $$i .; done)
	@mkdir -p include/libsi
	@(cd include/libsi; for i in ../../libsi/*.h; do ln -fs $$i .; done)

# Plugins:

plugins: include-dir
	@failed="";\
	noapiv="";\
	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
	    echo "Plugin $$i:";\
	    if ! grep -q "\$$(LIBDIR)/.*\$$(APIVERSION)" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
	       echo "ERROR: plugin $$i doesn't honor APIVERSION - not compiled!";\
	       noapiv="$$noapiv $$i";\
	       continue;\
	       fi;\
	    $(MAKE) -C "$(PLUGINDIR)/src/$$i" all || failed="$$failed $$i";\
	    done;\
	if [ -n "$$noapiv" ] ; then echo; echo "*** plugins without APIVERSION:$$noapiv"; echo; fi;\
	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; exit 1; fi

clean-plugins:
	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) -C "$(PLUGINDIR)/src/$$i" clean; done
	@-rm -f $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION)

# Install the files:

install: install-bin install-conf install-doc install-plugins install-i18n install-includes

# VDR binary:

install-bin: vdr
	@mkdir -p $(DESTDIR)$(BINDIR)
	@cp --remove-destination vdr svdrpsend.pl $(DESTDIR)$(BINDIR)

# Configuration files:

install-conf:
	@mkdir -p $(DESTDIR)$(VIDEODIR)
	@if [ ! -d $(DESTDIR)$(CONFDIR) ]; then\
	    mkdir -p $(DESTDIR)$(CONFDIR);\
	    cp *.conf $(DESTDIR)$(CONFDIR);\
	    fi

# Documentation:

install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@mkdir -p $(DESTDIR)$(MANDIR)/man5
	@gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
	@gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz

# Plugins:

install-plugins: plugins
	@mkdir -p $(DESTDIR)$(PLUGINLIBDIR)
	@cp --remove-destination $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION) $(DESTDIR)$(PLUGINLIBDIR)

# Includes:

install-includes: include-dir
	@mkdir -p $(DESTDIR)$(INCDIR)
	@cp -pLR include/vdr include/libsi $(DESTDIR)$(INCDIR)

# Source documentation:

srcdoc:
	@cp $(DOXYFILE) $(DOXYFILE).tmp
	@echo PROJECT_NUMBER = $(VDRVERSION) >> $(DOXYFILE).tmp
	$(DOXYGEN) $(DOXYFILE).tmp
	@rm $(DOXYFILE).tmp

# Housekeeping:

clean:
	$(MAKE) -C $(LSIDIR) clean
	-rm -f $(OBJS) $(DEPFILE) vdr core* *~
	-rm -rf $(LOCALEDIR) $(PODIR)/*.mo $(PODIR)/*.pot
	-rm -rf include
	-rm -rf srcdoc
CLEAN: clean

=== libsi/Makefile ===
#
# Makefile for a libsi
#
# $Id: Makefile 2.1 2010/11/07 13:31:05 kls Exp $

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -g -Wall -Woverloaded-virtual
AR = ar
ARFLAGS = ru
RANLIB = ranlib

include ../Make.global
-include ../Make.config

### The directory environment:

INCLUDES +=

DEFINES +=

LIBS +=

### The object files (add further files here):

OBJS = util.o si.o section.o descriptor.o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libsi.a

libsi.a : $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a *.so *.tgz core* *~

dist:
	tar cvzf libsi.tar.gz -C .. libsi/util.c libsi/si.c libsi/section.c libsi/descriptor.c \
   libsi/util.h libsi/si.h libsi/section.h libsi/descriptor.h libsi/headers.h libsi/Makefile libsi/gendescr.pl

=== PLUGINS/src/dvbhddevice/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 1.7 2011/04/17 11:40:55 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = dvbhddevice

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Make sure that necessary options are included:

include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o bitbuffer.o dvbhdffdevice.o hdffcmd.o hdffosd.o setup.o

### The main target:

all: libvdr-$(PLUGIN).so i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<see README>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs) $(I18Npot)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== PLUGINS/src/dvbsddevice/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 1.6 2011/02/27 10:04:54 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = dvbsddevice

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Make sure that necessary options are included:

include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o dvbsdffdevice.o dvbsdffosd.o

### The main target:

all: libvdr-$(PLUGIN).so i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<see README>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs) $(I18Npot)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== PLUGINS/src/osddemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 2.3 2011/02/27 10:05:01 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = osddemo

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Make sure that necessary options are included:

include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: libvdr-$(PLUGIN).so

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/servicedemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 2.3 2011/02/27 10:05:04 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN  = servicedemo # dummy name for Make.config
PLUGIN1 = svccli
PLUGIN2 = svcsvr

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN1).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Make sure that necessary options are included:

include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = svcintf-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN1).o $(PLUGIN2).o

### The main target:

all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

libvdr-$(PLUGIN1).so: $(PLUGIN1).o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN1).o -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

libvdr-$(PLUGIN2).so: $(PLUGIN2).o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN2).o -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (1.7.18-2) unstable; urgency=low

  * Added 99_gcc4.6-fix.dpatch to fix GCC 4.6 issue in skincurses plugin
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 May 2011 07:34:28 +0200

vdr (1.7.18-1) unstable; urgency=low

  * New upstream release
  * Dropped dvb-s2api-liplianin-headers dependency from vdr-dev
  * Disabled dvbhddevice until the driver from
    http://powarman.dyndns.org/hg/v4l-dvb-saa716x/ gets merged into the
    kernel
  * Dropped 99_vdr-workaround-broken-sys-capability.dpatch
  * Use 3.0 source formate and bz2 tarballs
  * Fixed spelling error in vdr.NEWS
  * Replaced "dh_clean -k" by "dh_prep"

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 17:39:15 +0200

vdr (1.7.17-1) unstable; urgency=low

  [ Thomas Günther, Tobias Grimm ]
  * Updated to the latest upstream development version release 1.7.17
    (Closes: #573896, #621924)
  * Updated/Removed debian/patches/*
  * Setting default SVDRP port to 6419 (this was already changed by upstrem)
  * Added BIDI define to 81_Make_config.dpatch
  * Added libfribidi-dev to Build-Depends
  * Added Make.global to vdr-dev.install and 81_Make_config.dpatch
  * Removed BUILDVDR define
  * Added include links via debian/vdr-dev.links to make the include structure
    compatible to vdr standards
  * Removed 03_cmdsubmenu.dpatch (command submenus now integrated in upstream)
  * Removed installation of the sky plugin
  * Added installation of the dvbsddevice plugin
  * Suggest vdr-plugin-dvbsddevice
  * Added NEWS entry about vdr-plugin-dvbsddevice and a probably required 
    modified firmware
  * Updated README.Debian
  * Made sure po files are unmodified after clean (Closes: #593925)

  [ Thomas Schmidt ]
  * Update Vcs-* fields: Move packaging from svn to git
  * Fixed some lintian warnings 

  [ Tobias Grimm ]
  * Removed vdr-kbd, vdr-daemon, vdr-lirc and vdr-rcu - /usr/bin/vdr should be
    used instead
  * Dropped conflicts to vdradmin
  * Dropped moving of channels.conf from /etc/vdr/ to /var/lib/vdr/
  * Dropped marks reloading from jumpplay patch (Patch modified by Udo Richter)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Apr 2011 12:56:07 +0200

vdr (1.6.0-19.1) unstable; urgency=low

  * debian/vdrleaktest
    - Remove extra colon from LD_LIBRARY_PATH to fix CVE-2010-3387.
      (normal, security; Closes: #598308).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 09:18:54 +0300

vdr (1.6.0-19) unstable; urgency=low

  * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
    (Closes: #596593)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Oct 2010 11:27:55 +0200

vdr (1.6.0-18.1) unstable; urgency=low

  * debian/vdrleaktest
    - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
      (normal, security; Closes: #598308).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 20:59:56 +0300

vdr (1.6.0-18) unstable; urgency=low

  * Added Danish translation of the debconf templates (Thx to Joe Hansen)
    (Closes: #592260)
  * Minor fix to options parsing in debug version start script
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Aug 2010 00:07:33 +0200

vdr (1.6.0-17) unstable; urgency=low

  * Modified runvdr to also (re)load dvb modules not depending on dvb_core*
    (Closes: #576337)
  * Added debian/source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Fri, 30 Apr 2010 22:43:50 +0200

vdr (1.6.0-16) unstable; urgency=low

  [ Thomas Günther ]
  * Added opt-22-x_edit_marks.dpatch
  * Adapted opt-48-x_pin.dpatch to vdr-workaround-broken-sys-capability patch
  * Updated opt-52_hard_link_cutter.dpatch to version 0.2.2
    (fixes gcc 4.4 issue)
  * Added -p to bash shebang line of init script, because this is needed,
    if VDR calls the init script itself via a suid wrapper
  * Added linux-libc-dev to Depends of package vdr-dev (linux/dvb/*.h included
    in header files, e.g. device.h)

  [ Tobias Grimm ]
  * Moved /usr/include/vdr/libsi to /usr/include/libsi to make the include
    structure compatible to vdr standards

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 14:50:33 +0200

vdr (1.6.0-15) unstable; urgency=low

  * Standards-Version: 3.8.4
  * Made init script require $remote_fs (/usr/...)
  * Migrated debconf _Choices to __Choices

 -- Tobias Grimm <etobi@debian.org>  Thu, 04 Mar 2010 23:28:37 +0100

vdr (1.6.0-14) unstable; urgency=low

  [ Thomas Günther ]
  * Removed 99_dvb-header-fixes.dpatch
  * Added 99_vdr-workaround-broken-sys-capability.dpatch

  [ Tobias Grimm ]
  * Added Japanese debconf translation (Closes: #555546)

 -- Tobias Grimm <etobi@debian.org>  Fri, 15 Jan 2010 00:13:07 +0100

vdr (1.6.0-13) unstable; urgency=low

  * New upstream homepage http://www.tvdr.de/
  * Removed make-special-vdr.sh (Closes: #552638)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 22:14:13 +0100

vdr (1.6.0-12) unstable; urgency=low

  [ Thomas Günther ]
  * Upgraded make-special-vdr.sh to version 1.3

  [ Tobias Grimm ]
  * Added Italian debconf translation (Closes: #548798)
  * Fixed FTBFS with gcc 4.4 (Closes: #549380)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 21:55:31 +0200

vdr (1.6.0-11) unstable; urgency=low

  * Fixed syntax error in runvdr and don't set "-p" anymore, which is only
    supported by Bash (Closes: #536894)
  * Added Russian debconf template provided by Yuri Kozlov (Closes: #536561)

 -- Tobias Grimm <etobi@debian.org>  Tue, 14 Jul 2009 20:55:37 +0200

vdr (1.6.0-10) unstable; urgency=low

  * Upgraded opt-20_liemikuutio.dpatch to version 1.27
  * Updated and renamed opt-40_iptv.dpatch to opt-40_pluginparam.dpatch
  * Added 99_dvb-header-fixes.dpatch as a workaround for the header bugs in
    Linux 2.6.29
  * Fixed debianize-vdrplugin template (dropped patchlevel field in control)
  * Changed section of plugin template to "video"
  * Added Spanish debconf template translation (Closes: #528245)
  * Build-Depend on linux-libc-dev


=== debian/control ===
Source: vdr
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), dpatch, libjpeg62-dev, libcap-dev,
  libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
  txt2man, python, linux-libc-dev (>= 2.6.29), libfribidi-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-vdr-dvb/vdr.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr.git
Homepage: http://www.tvdr.de/

Package: vdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, psmisc
Recommends: lirc, ttf-bitstream-vera | ttf-freefont
Suggests: vdr-plugin-dvbsddevice
Provides: ${vdr:Provides}
Description: Video Disk Recorder for DVB cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the VDR main program which is controlled via the
 PC keyboard or a IR remote control.
 .
 NOTE: You should install compatible DVB drivers before using these
 programs. Also the standard VDR (without special plugins) requires 
 a DVB-Card with an integrated mpeg-decoder, a so called 
 Full-Featured Card.

Package: vdr-dev
Architecture: all
Depends: ${misc:Depends}, debhelper, linux-libc-dev (>= 2.6.29)
Suggests: dh-make
Description: Video Disk Recorder for DVB cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the header files of VDR.
 You need this package to be able to build vdr-plugins!

Package: vdr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version}), gdb
Suggests: valgrind
Description: Debuggable version of the VDR Video Disk Recorder
 This package installs an unoptimized VDR binary with debugging symbols as well
 as some helper scripts to debug VDR and its plugins.

Package: vdr-plugin-dvbsddevice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
Description: Plugin that adds support for full featured DVB cards to VDR
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the dvbsddevice-plugin, which implements the
 output device for the "Full Featured" DVB cards based on the
 TechnoTrend/Fujitsu-Siemens design.

Package: vdr-plugin-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
Description: Plugins for vdr to show some possible features
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the example-plugins hello, osddemo, svccli, 
 svcsvr, skincurses, status and svdrpdemo from the vdr-source. 
 These plugins do not have useful features, they only demonstrate 
 how vdr-plugins work and what is possible to do with them.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# To use dpatch uncomment the following line and set Build-Depends to dpatch
DPATCH=yes

ifdef DPATCH
include /usr/share/dpatch/dpatch.make
else
patch:
patch-stamp:
unpatch:
endif

TXT2MANPAGES = debian/vdr-dbg.1
MANPAGES = debian/vdrdbg-buildpackage.1 debian/debugvdr.1 debian/vdrleaktest.1

MAKE_OPTIONS = REMOTE=LIRC CONFDIR=/var/lib/vdr LOCDIR=/usr/share/locale \
               VIDEODIR=/var/lib/video.00 PLUGINLIBDIR=/usr/lib/vdr/plugins

$(MANPAGES): %.1: %
	sh $< -h | \
	  eval "`cat $< | grep "^### txt2man" | sed "s/### //"`" >$@

$(TXT2MANPAGES): %.1: %.1.txt
	cat $< | grep -v "^###" | \
	  eval "`cat $< | grep "^### txt2man" | sed "s/### //"`" >$@

OOLIST := debian/patches/00list
ABIVERSION := debian/abi-version
ifdef PATCHVARIANT
    OOLIST := $(OOLIST).$(PATCHVARIANT)
    ABIVERSION := $(ABIVERSION).$(PATCHVARIANT)
    PATCHCHECKOPTION := -p $(PATCHVARIANT)
endif

prepare-00list:
	python debian/patchcheck.py -c $(PATCHCHECKOPTION)
	cmp -s $(OOLIST) debian/patches/00list || \
	  cp -b --suffix=.save $(OOLIST) debian/patches/00list

restore-00list:
	[ ! -e debian/patches/00list.save ] || \
	  mv debian/patches/00list.save debian/patches/00list

accept-patches:
	python debian/patchcheck.py -u $(PATCHCHECKOPTION)

configure: configure-stamp
configure-stamp: prepare-00list patch-stamp
	dh_testdir
	touch configure-stamp

build: build-stamp $(MANPAGES) $(TXT2MANPAGES)
build-stamp: configure-stamp
	dh_testdir

	# Backup po files
	find PLUGINS po -name "*.po" -exec test ! -f {}.backup \; -exec cp {} {}.backup \;

	# disable dvbhddevice
	-mv PLUGINS/src/dvbhddevice PLUGINS/src/_dvbhddevice

	# build unoptimized vdr with debugging symbols
	$(MAKE) all $(MAKE_OPTIONS) VDRDEBUG=yes DEB_BUILD_OPTIONS=nostrip,noopt
	cp vdr vdr-dbg
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)

	# build "productive" vdr
	$(MAKE) all $(MAKE_OPTIONS)

	# plugins
	mkdir -p PLUGINS/lib
	$(MAKE) plugins $(MAKE_OPTIONS)

	cp newplugin vdr-newplugin

	gcc -o debian/vdr-shutdown.wrapper debian/vdr-shutdown-wrapper.c

	touch build-stamp

patchinfo:
	sh debian/extract-patchinfo >debian/patchinfo

clean: clean-patched unpatch restore-00list
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) -o .dependencies clean-plugins $(MAKE_OPTIONS)
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f vdr-dbg
	rm -f vdr
	rm -rf PLUGINS/lib
	rm -f vdr-newplugin
	rm -f debian/vdr-shutdown.wrapper
	rm -f debian/patchinfo
	rm -f $(MANPAGES) $(TXT2MANPAGES)

	# Restore dvbhddevice
	-mv PLUGINS/src/_dvbhddevice PLUGINS/src/dvbhddevice

	# Restore po files
	find PLUGINS po -name "*.po" -exec test -f {}.backup \; -exec mv {}.backup {} \;

	dh_clean

install: patchinfo build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	chmod +x $(CURDIR)/debian/vdr/usr/lib/vdr/vdr-*
	for example in hello osddemo pictures servicedemo skincurses status svdrpdemo; do \
	    install -D PLUGINS/src/$$example/README $(CURDIR)/debian/vdr-plugin-examples/usr/share/doc/vdr-plugin-examples/README.$$example; \
	done
	echo -n "vdr:Provides=" >> debian/vdr.substvars
	cat $(ABIVERSION) >> debian/vdr.substvars
	install -m644 $(ABIVERSION) $(CURDIR)/debian/vdr-dev/usr/share/vdr-dev/abi-version
ifdef PATCHVARIANT
	mkdir -p $(CURDIR)/debian/vdr/usr/share/doc/vdr
	mkdir -p $(CURDIR)/debian/vdr-dev/usr/share/doc/vdr-dev
	grep ^opt- $(OOLIST) >$(CURDIR)/debian/vdr/usr/share/doc/vdr/optional-patches.txt
	cp $(CURDIR)/debian/vdr/usr/share/doc/vdr/optional-patches.txt \
	  $(CURDIR)/debian/vdr-dev/usr/share/doc/vdr-dev/optional-patches.txt
endif


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i HISTORY
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a -Nvdr-dbg
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a
#	dh_installcron -a
	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs -pvdr HISTORY
	dh_installchangelogs -pvdr-plugin-dvbsddevice PLUGINS/src/dvbsddevice/HISTORY
	dh_installchangelogs -pvdr-plugin-examples
	dh_link -a
	dh_strip -a -Xvdr-dbg
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure \
        clean-patched patch unpatch

## vdr 1.7.20

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.17 2011/04/17 13:35:53 kls Exp $
+# $Id: Makefile 2.18 2011/05/21 12:21:40 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -115,7 +115,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<

=== PLUGINS/src/dvbhddevice/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.7 2011/04/17 11:40:55 kls Exp $
+# $Id: Makefile 1.8 2011/05/21 12:25:33 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -83,7 +83,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<see README>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<

=== PLUGINS/src/hello/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 2.7 2011/05/21 12:25:41 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = hello

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Make sure that necessary options are included:

include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: libvdr-$(PLUGIN).so i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (1.7.20-1) unstable; urgency=low

  * New upstream release
  * Added 99_fix-recording-problem-vdr-1.7.20.dpatch
  * Build-depend on libjpeg-dev instead of libjpeg62-dev
  * Updated multipatch patches (Not used for Debian build)

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Aug 2011 23:16:41 +0200

vdr (1.7.19-1) unstable; urgency=low

  * New upstream release
  * Dropped 99_gcc4.6-fix.dpatch (fixed upstream)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 18:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), dpatch, libjpeg62-dev, libcap-dev,
+Build-Depends: debhelper (>= 7.0.50~), dpatch, libjpeg-dev, libcap-dev,
   libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
   txt2man, python, linux-libc-dev (>= 2.6.29), libfribidi-dev
 Standards-Version: 3.9.2
